Tag: osx

Как добавить Octave в мой PATH для использования oct2py?

Окончательное редактирование: добавление export PATH=/usr/local/octave/3.8.0/bin:$PATH на мой путь действительно было достаточно, чтобы позволить oct2py работать должным образом (до тех пор, пока я перезапустил свой терминал после изменения). Ура! —- Оригинальное сообщение —- Я успешно выполнил установку oct2py и pexpect, но у меня проблемы при попытке импорта и использования oct2py. Во-первых, при попытке: import oct2py Я […]

Python / Pyside без сообщения об ошибке

Я только что установил python (Python 2.7.6) с pyside (версия 1.2.1) на Mac OS Lion 10.7.5 через Macports. Когда я захотел проверить этот очень простой код, python неожиданно аварийно: # -*- coding: utf-8 -*- #!/usr/bin/env python import sys from PySide import QtCore, QtGui app = QtGui.QApplication(sys.argv) app.exec_() в то время как # -*- coding: utf-8 […]

OSX Brew Python «Не удалось найти версию, удовлетворяющую требованию pyopencv»

Я пытаюсь установить pyopencv. Я установил Python и OpenCV через Brew. Быстрый, which python/pip показывает, что я использую версию Python, установленную через Brew, по умолчанию. Я уже установил numpy through pip. Однако, когда я пытаюсь запустить pip install pyopencv я возвращаюсь: Downloading/unpacking pyopencv Could not find a version that satisfies the requirement pyopencv (from versions: […]

errorr установка pyobjc на Anaconda python на OSX 10.10.2

У меня есть Python 3.3.5 :: Anaconda 2.1.0 (x86_64) в Mac OS X 10.10.2 с XCode 6.2 (6C131e) и pip 6.0.8 Я пытаюсь установить PyObjC после руководства . Однако, когда я это делаю pip install -U pyobjc Я получаю следующую ошибку: $ pip install -U pyobjc Requirement already up-to-date: pyobjc in ./anaconda/lib/python2.7/site-packages/pyobjc-3.1-py2.7.egg Downloading/unpacking py2app>=0.9 (from […]

Как встраивать определенную версию интерпретатора python в c в OS X

Я хочу встроить python в C. Но я нахожу, что версия интерпретатора python, встроенная в мою программу, равна 2.7 (версия по умолчанию для Mac). Как я могу указать конкретную версию интерпретатора python, когда компилирую коды c в mac os x. Gcc в os x определенно отличается от Linux. Я уже установил python3 через HomeBrew. Большое […]

Упакованный файл python .app сбой, но упакованный файл python .sh работает нормально

Я создал приложение, использующее Python 3.4.3, Pyqt4 и некоторые другие дополнения (среди них Poppler) на OS X Yosemite. Я использую cx_freeze для создания рабочего файла .app и, в конечном итоге, рабочего файла msi. Я тестировал приложение правильно, после его создания, используя команду сборки, как в «build.py build.python3». Все это прекрасно работает, никаких неожиданных сбоев. Переместился […]

Как запустить BioImageXD на Mac?

Привет, я пытаюсь запустить файл BioImageXD.py. Я следовал всем инструкциям, но ничего не появляется. Инструкции: добавьте пути библиотек VTK и ITK к переменной DYLD_LIBRARY_PATH. Эти: ${BXD_PATH}/Libraries/ ${BXD_PATH}/Libraries/python2.7/site-packages/vtkbxd/ ${BXD_PATH}/Libraries/vtk-5.6/ ${BXD_PATH}/Libraries/InsightToolkit/ For example add following lines to your .bash_profile file: BXD_PATH="Put your path to BioImageXD here" export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:${BXD_PATH}/Libraries/:${BXD_PATH}/Libraries/python2.7/site-packages/vtkbxd/:${BXD_PATH}/Libraries/vtk-5.6/:${BXD_PATH}/Libraries/InsightToolkit/

psycopg2 установлен успешно, но не может быть импортирован в python

Недавно я установил psycopg2 на свой компьютер с помощью macport. Я выполнил инструкции на сайте Psycopg2: sudo port install py27-psycopg2 Когда я использовал port install , psycopg2 был указан как успешно установленный macport. Однако всякий раз, когда я печатаю import psycopg2 в python, он также дает мне ошибки, что таких модулей нет в python. Я […]

pip в неправильную папку, даже если `which pip` правильный

Я использую Mac OS X 10.10. Я хочу использовать pip для установки пакетов для моей домашней версии установленной версии python (расположенной в /usr/local/bin/python , которая является псевдонимом, который указывает на /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/bin ). Похоже, что сайт-пакеты для этой версии находятся здесь: /usr/local/lib/python2.7/site-packages/ . which python возвращает which python /usr/local/bin/python which pip возвращает which pip /usr/local/bin/pip Они […]

Кросс-платформенный способ вызова команды Python 3.x

Команда python обычно сопоставляется с последним компилятором Python 2.x в разных операционных системах. Однако существует ли такой стандартный способ вызова интерпретатора Python 3.x (какая-либо или последняя версия установлена)? … поэтому можно запустить свой совместимый с Python 3.x скрипт как: python3 yourscript.py В качестве бонуса, если существует также межплатформенный способ вызова команды virtualenv для создания локальной […]

Python - лучший язык программирования в мире.